%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name pake
%define channel pear.symfony-project.com

Summary:	PHP5 project builder system
Name:		php-pear-pake
Version:	1.1.4
Release:	5%{?dist}

License:	MIT
Group:		Development/Tools
Source0:	http://%{channel}/get/%{pear_name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://www.pake-project.com/

BuildArch:	noarch

BuildRequires:	php-pear
BuildRequires:	php-channel-symfony
Requires:	php-cli >= 5.0.1
Requires:	php-pear
Requires:	php-channel-symfony

Requires(post):	%{__pear}
Requires(postun): %{__pear}

Provides:	php-pear(%{channel}/%{pear_name}) = %{version}

%description
pake is a PHP5 project build system with capabilities similar to make. pake has
the following features:
- pakefiles (pake’s version of Makefiles) are completely defined in standard
  PHP5 syntax. No XML files to edit. No quirky Makefile syntax to worry about
  (is that a tab or a space?)
- users can specify tasks with prerequisites
- pake is lightweight. It can be distributed with other projects as a single
  file. Projects that depend upon pake do not require that pake be installed on
  target systems

pake is heavily based on rake, a similar system for ruby.

%prep
%setup -qc
%{__mv} package.xml %{pear_name}-%{version}/%{pear_name}.xml


%build


%install
cd %{pear_name}-%{version}
%{__rm} -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

%{__mkdir_p} docdir
%{__mv} $RPM_BUILD_ROOT%{pear_docdir}/* docdir
iconv -f ISO-8859-1 -t UTF-8 -o docdir/%{pear_name}/LICENSE~ docdir/%{pear_name}/LICENSE
%{__mv} -f docdir/%{pear_name}/LICENSE~ docdir/%{pear_name}/LICENSE

%{__rm} -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

%{__mkdir_p} $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -p -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
	%{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	%{__pear} uninstall --nodeps --ignore-errors --register-only \
		%{channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/%{pear_name}
%doc %{pear_name}-%{version}/docdir/%{pear_name}
%{pear_phpdir}/%{pear_name}
%{pear_phpdir}/%{pear_name}.php
%{pear_xmldir}/%{pear_name}.xml

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 20 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.4-3
- removed superfluous cd command
- convert LICENSE to UTF-8

* Wed Oct 17 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.4-2
- added missing description

* Wed Oct 17 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.4-1
- initial release
